Bug 402342 - --template does not open provided template
Summary: --template does not open provided template
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: General (show other bugs)
Version: 4.1.7
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-19 12:39 UTC by jake johnstone
Modified: 2018-12-22 20:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jake johnstone 2018-12-19 12:39:50 UTC
SUMMARY

Using the command-line options in the documentation and help text i have tried to pass a template to krita.

krita --template /usr/share/krita/templates/comics/BD-EuroTemplate.desktop





STEPS TO REPRODUCE
1. krita --template /usr/share/krita/templates/comics/BD-EuroTemplate.desktop

OBSERVED RESULT

Error One.
The file /usr/share/krita/templates/comics/.source/BD-EuroTemplate.kra does not exist.

Error Two. 
Template /usr/share/krita/templates/comics/.source/BD-EuroTemplate.kra failed to load.

EXPECTED RESULT

Open the provided template


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch Linux
(available in About System)

Qt
  Version (compiled): 5.12.0
  Version (loaded): 5.12.0

OS Information
  Build ABI: x86_64-little_endian-lp64
  Build CPU: x86_64
  CPU: x86_64
  Kernel Type: linux
  Kernel Version: 4.19.8-arch1-1-ARCH
  Pretty Productname: Arch Linux
  Product Type: arch
  Product Version: unknown
Comment 1 jake johnstone 2018-12-19 16:06:43 UTC
I also just tested with the current appimage, krita-4.1.7-x86_64.appimage. Same result.
Comment 2 Anna Medonosova 2018-12-22 20:41:31 UTC
Git commit 3e3f0d0a265df8697630be9d1e89bdea4b9bd28a by Anna Medonosova.
Committed on 22/12/2018 at 20:40.
Pushed by amedonosova into branch 'master'.

M  +3    -0    libs/ui/KisApplication.cpp

https://commits.kde.org/krita/3e3f0d0a265df8697630be9d1e89bdea4b9bd28a